proc_scsi_read
Prev | drivers/scsi/scsi_proc.c | Next

## Name

proc_scsi_read — handle read from /proc by calling host's `proc_info` command

## Synopsis

`int proc_scsi_read (` | char * | buffer,
| char ** | start,
| off_t | offset,
| int | length,
| int * | eof,
| void * | data`)`;

## Arguments

`buffer`

  passed to proc_info

`start`

  passed to proc_info

`offset`

  passed to proc_info

`length`

  passed to proc_info

`eof`

  returns whether length read was less than requested

`data`

  pointer to a struct Scsi_Host

Prev | Up | Next
scsi_dma_unmap | Home | proc_scsi_write_proc